*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    background-image: url(../images/fon.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    height: 100%;
}

body {
    margin: 0 auto;
    font-family: 'Ubuntu', Verdana, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    overflow-x: hidden;
}

/* контейнер хедеру */
.header-container {
    max-width: 1366px;
    height: 58px;
    margin-top: 0;
    margin-left: auto;
    margin-right: auto;
}

.menu {
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: rgba(0, 0, 0, 0.4);
    position: relative;
}

.logo-header {
    margin-left: 79px;
}

.logo-header a {
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
    text-decoration: none;
    color: #FFFFFF;
}

.logo-header a:hover {
    color: #3CB878;
}

.menu-header {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.icon-header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

/* розміри іконок та їх марджини згідно макету */
.icon-calendar {
    width: 21px;
    height: 24px;
    margin-right: 27px;
    margin-left: 20px;
}

.icon-envelope {
    width: 23px;
    height: 23px;
    margin-right: 24px;
}

.icon-compass {
    width: 23px;
    height: 24px;
}

.icon-calendar-img,
.icon-envelope-img,
.icon-compass-img {
    fill: #FFFFFF;
}

.icon-calendar-img:hover,
.icon-envelope-img:hover,
.icon-compass-img:hover {
    fill: #3CB878;
}

.text-header {
    margin-left: 53px;
    margin-right: 79px;
    color: #FFFFFF;
    position: relative;
}

/* в макеті зазнaчено два шрифти Ubuntu та Verdana
не зрозуміло (візуально не помітно), до якого з елементів необхідно 
застосувати Verdana, залишено шрифт за замовчунням  */
.text-header-text a {
    text-decoration: none;
    color: #3CB878;
}

.text-header-text::before {
    /* використовую "порожній" контент,
    вимальовуючи лише один вертикальний бордер */
    content: "";
    width: 1px;
    height: 19px;
    border-style: solid;
    border-top-width: 0;
    border-right-width: 1px;
    border-bottom-width: 0;
    border-left-width: 0;
    border-color: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
    /* та задаю абсолютну позицію відносно
    батьківського елемента */
    position: absolute;
    top: -3px;
    left: -27px;
}

/* контейнер форми */
.container {
    width: 444px;
    height: 584px;
    /* margin-top виставлено вертикально по центру як вказано у завданні, а не по макету. */
    margin-top: 53.05px;
    margin-bottom: 72px;
    margin-left: auto;
    margin-right: auto;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52);
}


.form-choice {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    position: relative;
    padding-top: 28px;
}

.form-choice-s {
    padding-bottom: 15px;
    margin-left: 61px;
}

.form-choice-s::before {
    /* використовую "порожній" контент
    з зеленим бекграундом */
    content: "";
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    position: absolute;
    left: 0;
    top: 29px;
}

.form-choice-l {
    padding-bottom: 13px;
    margin-right: 60px;
}

.form-choice-s a {
    color: #434343;
    font-size: 20px;
    line-height: 20px;
    text-decoration: none;
}

.form-choice-l a {
    color: #3CB878;
    font-size: 14px;
    line-height: 14px;
    text-decoration: none;
}

.form-choice-l a:hover {
    color: #01813F;
    text-decoration: underline;
}

.form {
    width: 324px;
    margin-left: auto;
    margin-right: auto;
    background-color: #FFFFFF;
    color: #434343;
}

/* група "соцмережевих" кнопок є грідом */
.button-group {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 4px;
}

/* загальні властивості всіх кнопок */
.btn {
    font-family: inherit;
    font-size: 16px;
    line-height: 16px;
    height: 48px;
    padding: 0;
    border: 0;
    /* на макеті значення border-radius для ГП-кнопки та ФБ-кнопки
    відсутні, але на малюнку він Є! */
    border-radius: 4px;
    color: #FFFFFF;
    cursor: pointer;
}

.btn-group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: relative;
    margin-bottom: 10px;
}

.btn-facebook {
    background-color: #305DB8;
}

.btn-facebook:hover {
    background-color: #022263;
    height: 46px;
    width: 157px;
    margin: 1px 1px;
}

/* додаткові властивості для іконок брендів,
що виконанані згідно завдання із застосуванням Font Awesome
(здається на макеті порушені пропорції малюнків у
порівнянні з брендованими іконками) */
.fa-home-work-facebook {
    padding-left: 17px;
    font-size: 24px;
}

.fa-home-work-googleplus {
    padding-left: 12px;
    font-size: 24px;
}


.btn-facebook-label {
    margin-right: 22px;
}

.btn-googleplus {
    background-color: #DF4A32;
}

.btn-googleplus:hover {
    background-color: #AB1F09;
    height: 46px;
    width: 157px;
    margin: 1px 1px;
}

.btn-googleplus-label {
    margin-right: 27px;
}

/* псевдоелементи в кнопках */
.btn-facebook::before,
.btn-googleplus::before {
    /* використовую "порожній" контент,
    вимальовуючи лише один вертикальний бордер */
    content: "";
    width: 1px;
    height: 28px;
    border-style: solid;
    border-top-width: 0;
    border-right-width: 1px;
    border-bottom-width: 0;
    border-left-width: 0;
    opacity: 0.1;
    /* та задаю абсолютну позицію відносно
    батьківського елемента */
    position: absolute;
    top: 10px;
}

.btn-facebook::before {
    border-color: #0A162F;
    left: 48px;
}

.btn-googleplus::before {
    border-color: #2B0D09;
    left: 49px;
}


/* властивості елементів полів форми */
.form-input {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(5, 1fr);
    grid-row-gap: 15px;
    justify-content: start;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 12px;
    outline: 0;
    border-style: solid;
    border-top-width: 1px;
    border-color: #F2F2F2;
    font-family: inherit;
}

legend {
    margin-left: auto;
    margin-right: auto;
    padding-left: 5px;
    padding-right: 2px;
    margin-bottom: 12px;
    color: #848484;
}

.form-input-text {
    width: 100%;
    height: 44px;
    padding-left: 20px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
}

.form-input-text:focus {
    color: #434343;
    background-color: #FFFFFF;
    border-color: #F2F2F2;
    outline: 0;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.21);
}

.checkbox-group {
    margin-bottom: 10px;
}

.agreed+label a {
    color: #3CB878;
    text-decoration: none;
}

.agreed+label a:hover {
    color: #01813F;
    text-decoration: underline;
}

/* стиль "крижика" чекбоксу */
.agreed:checked,
.agreed:not(:checked) {
    /* "рідний" прапорець ховаю за межі перегляду */
    position: absolute;
    left: -9999px;
}

.agreed:checked+label,
.agreed:not(:checked)+label {
    display: inline-block;
    position: relative;
    padding-left: 28px;
    line-height: 20px;
    cursor: pointer;
}

/* псевдоелемент "чарунок" для "крижика" */
.agreed:checked+label::before,
.agreed:not(:checked)+label:before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.0001), rgba(0, 0, 0, 0.0001));
}

.agreed:checked+label::after,
.agreed:not(:checked)+label::after {
    position: absolute;
    left: 5px;
    top: -1px;
    font-size: 24px;
    color: #3CB878;
    /* віддзеркалюю та обертаю */
    transform: scale(-1, 1) rotate(120deg);
}

/* з сімки виходить непоганий "крижик") */
.agreed:checked+label::after {
    content: "7";
}

.agreed:not(:checked)+label::after {
    content: "";
}

.create-btn {
    margin-top: 10px;
    height: 46px;
    width: 100%;
    background-color: rgba(60, 184, 120, 0.8);
}

.create-btn:hover {
    background-color: #01813F;
}

/* transitions  */

button {
    transition: background-color 0.4s ease-in-out 0.2s;
}

a {
    transition: text-decoration, color 0.8s ease-in-out 0.2s;
}

svg {
    transition: fill 0.8s ease-in-out 0.2s;
}